<?php
/*
 * Copyright (c) 2022. Micha Espey <tracer@24unix.net>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 */

namespace App\Service;

/**
 *
 */
class Config
{
    private array $config;

    public function __construct()
    {
        // Check for either config.json.local or config.json.
        $configFile = dirname(path: __DIR__, levels: 2) . "/config.json.local";
        if (!file_exists(filename: $configFile)) {
            $configFile = dirname(path: __DIR__, levels: 2) . "/config.json";
        }

        if (!file_exists(filename: $configFile)) {
            die('Missing config file');
        }
        $configJSON = file_get_contents(filename: $configFile);

        if (json_decode(json: $configJSON) === null) {
            die('Config file is not valid JSON.');
        }

        $this->config = json_decode(json: $configJSON, associative: true);
    }

    public function getConfig(string $configKey): string
    {
        return $this->config[$configKey];
    }
}